{% extends 'styleguide2/includes/organisms/header/simple_header_with_ui_switch.html' %}

{% load people_filters %}

{% block classes %}
  bg-black flex items-center w-full pt-28 pb-8 mb-20

  xl:pt-48 xl:pb-10
{% endblock %}

{% block description %}
   <div
      class="
         hidden gap-10 py-4 font-bold pr-4 grid-cols-1 whitespace-pre-line [&_p]:!text-lg [&_p]:leading-7
         md:grid md:grid-cols-2 md:pr-0
      "
   >
    <p>
      {{ description_column_1 }}
    </p>

    <p>
      {{ description_column_2 }}
    </p>
  </div>
{% endblock %}

{% block switch %}
  {% for content_item in content %}
    {% if content_item.block_type == "octopus_group" or content_item.block_type == "octopus_team" or content_item.block_type == "people_group" or content_item.block_type == "team_group" %}
      <a
        @click="toggleView('{{ content_item.value.slug }}-{{ forloop.counter }}')"
        class="switch__item {% if content|has_one_people_type %}hidden{% endif %}"
        :class="{'switch__item--active': isCurrentView('{{ content_item.value.slug }}-{{ forloop.counter }}')}"
      >
        {{ content_item.value.title }}
      </a>
    {% endif %}
  {% endfor %}
{% endblock %}
